Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::PrefixTermEnum Class Reference

Subclass of FilteredTermEnum for enumerating all terms that match the specified prefix filter term. More...

`#include <PrefixTermEnum.h>`

Inheritance diagram for Lucene::PrefixTermEnum:

## Public Member Functions

| PrefixTermEnum (IndexReaderPtr reader, TermPtr prefix)
virtual | ~PrefixTermEnum ()
virtual String | getClassName ()
boost::shared_ptr< PrefixTermEnum > | shared_from_this ()
virtual double | difference ()
| Equality measure on the term. More...
Public Member Functions inherited from Lucene::FilteredTermEnum
virtual | ~FilteredTermEnum ()
boost::shared_ptr < FilteredTermEnum > | shared_from_this ()
virtual int32_t | docFreq ()
| Returns the docFreq of the current Term in the enumeration. Returns -1 if no Term matches or all terms have been enumerated. More...
virtual bool | next ()
| Increments the enumeration to the next element. True if one exists. More...
virtual TermPtr | term ()
| Returns the current Term in the enumeration. Returns null if no Term matches or all terms have been enumerated. More...
virtual void | close ()
| Closes the enumeration to further activity, freeing resources. More...
Public Member Functions inherited from Lucene::TermEnum
virtual | ~TermEnum ()
boost::shared_ptr< TermEnum > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FilteredTermEnum
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermEnum
static String | _getClassName ()

## Protected Member Functions

virtual bool | endEnum ()
| Indicates the end of the enumeration has been reached. More...
virtual bool | termCompare (TermPtr term)
| Equality compare on the term. More...
TermPtr | getPrefixTerm ()
Protected Member Functions inherited from Lucene::FilteredTermEnum
virtual void | setEnum (TermEnumPtr actualEnum)
| Use this method to set the actual TermEnum (eg. in ctor), it will be automatically positioned on the first matching term. More...

## Protected Attributes

TermPtr | prefix
bool | _endEnum
Protected Attributes inherited from Lucene::FilteredTermEnum
TermPtr | currentTerm
| The current term. More...
TermEnumPtr | actualEnum
| The delegate enum - to set this member use setEnum. More...

## Detailed Description

Subclass of FilteredTermEnum for enumerating all terms that match the specified prefix filter term.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

## Constructor & Destructor Documentation

Lucene::PrefixTermEnum::PrefixTermEnum | ( | IndexReaderPtr | reader,
|  | TermPtr | prefix
| ) |  |

virtual Lucene::PrefixTermEnum::~PrefixTermEnum | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::PrefixTermEnum::_getClassName | ( | ) |  |

inline static

virtual double Lucene::PrefixTermEnum::difference | ( | ) |  |

virtual

Equality measure on the term.

Implements Lucene::FilteredTermEnum.

virtual bool Lucene::PrefixTermEnum::endEnum | ( | ) |  |

protected virtual

Indicates the end of the enumeration has been reached.

Implements Lucene::FilteredTermEnum.

virtual String Lucene::PrefixTermEnum::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::FilteredTermEnum.

TermPtr Lucene::PrefixTermEnum::getPrefixTerm | ( | ) |  |

protected

boost::shared_ptr< PrefixTermEnum > Lucene::PrefixTermEnum::shared_from_this | ( | ) |  |

inline

virtual bool Lucene::PrefixTermEnum::termCompare | ( | TermPtr | term) |  |

protected virtual

Equality compare on the term.

Implements Lucene::FilteredTermEnum.

## Field Documentation

bool Lucene::PrefixTermEnum::_endEnum

protected

TermPtr Lucene::PrefixTermEnum::prefix

protected

The documentation for this class was generated from the following file:

- PrefixTermEnum.h

clucene.sourceforge.net